Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.sms
Class SMSPush

    java.lang.Object
      com.knowgate.sms.SMSPush

Direct Known Subclasses:
  SMSPushAltiria, SMSPushEMail, SMSPushRealidadFutura, SMSPushSybase365

    public abstract class SMSPush

extends java.lang.Object

Constructor Summary
`SMSPush()`

Method Summary
`abstract void` | `close()` Close SMS HTTP Push Connection
`abstract void` | `connect(java.lang.String sUrl, java.lang.String sUser, java.lang.String sPassword, java.util.Properties oConnectionProps)` Conect to SMS HTTP Push Platform
`abstract SMSResponse` | `push(SMSMessage oMsg)` Send Plain Text SMS

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMSPush

    public SMSPush()

Method Detail

### connect

    public abstract void connect(java.lang.String sUrl,
                                 java.lang.String sUser,
                                 java.lang.String sPassword,
                                 java.util.Properties oConnectionProps)
                          throws java.io.IOException,
                                 java.sql.SQLException,
                                 java.net.MalformedURLException

  Conect to SMS HTTP Push Platform

  Parameters:
    `sUrl` - String Connection URL
    `sUser` - String User
    `sPassword` - String Password
  Throws:
    `java.io.IOException`
    `java.net.MalformedURLException`
    `java.sql.SQLException`

### close

    public abstract void close()
                        throws java.io.IOException,
                               java.sql.SQLException

  Close SMS HTTP Push Connection

  Throws:
    `java.io.IOException`
    `java.sql.SQLException`

### push

    public abstract SMSResponse push(SMSMessage oMsg)
                              throws java.io.IOException,
                                     java.sql.SQLException,
                                     java.lang.IllegalArgumentException,
                                     java.io.UnsupportedEncodingException

  Send Plain Text SMS

  Parameters:
    `SMSMessage` - oMsg
  Returns:
    SMSResponse
  Throws:
    `java.io.IOException`
    `java.lang.IllegalArgumentException` - If MSISDN or text are malformed or dtWhenMustBeSend is before now
    `UnsupportedCharacterEncoding` - If given sCharacterEncoding is not supported
    `java.sql.SQLException`
    `java.io.UnsupportedEncodingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD